## aom 3.5.0

=== CMakeLists.txt ===
#
# Copyright (c) 2016, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#
if(CONFIG_TFLITE)
  cmake_minimum_required(VERSION 3.11)
else()
  cmake_minimum_required(VERSION 3.7)
endif()

set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")
if("${AOM_ROOT}" STREQUAL "${AOM_CONFIG_DIR}")
  message(
    FATAL_ERROR "Building from within the aom source tree is not supported.\n"
                "Hint: Run these commands\n"
                "$ rm -rf CMakeCache.txt CMakeFiles\n"
                "$ mkdir -p ../aom_build\n" "$ cd ../aom_build\n"
                "And re-run CMake from the aom_build directory.")
endif()

project(AOM C CXX)

# GENERATED source property global visibility.
if(POLICY CMP0118)
  cmake_policy(SET CMP0118 NEW)
endif()

if(NOT EMSCRIPTEN)
  if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE
        "Release"
        CACHE STRING "Build type: Debug, Release, RelWithDebInfo or MinSizeRel"
              FORCE)
  endif()
endif()

# Library version info. Update LT_CURRENT, LT_REVISION and LT_AGE when making a
# public release by following the guidelines in the libtool document:
# https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
#
# c=<current>, r=<revision>, a=<age>
#
# libtool generates a .so file as .so.[c-a].a.r, while -version-info c:r:a is
# passed to libtool.
#
# We set SO_FILE_VERSION = [c-a].a.r
set(LT_CURRENT 8)
set(LT_REVISION 0)
set(LT_AGE 5)
math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
unset(LT_CURRENT)
unset(LT_REVISION)
unset(LT_AGE)

# Enable generators like Xcode and Visual Studio to place projects in folders.
set_property(GLOBAL PROPERTY USE_FOLDERS TRUE)

include("${AOM_ROOT}/build/cmake/aom_configure.cmake")
if(CONFIG_THREE_PASS)
  include("${AOM_ROOT}/common/ivf_dec.cmake")
endif()
include("${AOM_ROOT}/aom_dsp/aom_dsp.cmake")
include("${AOM_ROOT}/aom_mem/aom_mem.cmake")
include("${AOM_ROOT}/aom_ports/aom_ports.cmake")
include("${AOM_ROOT}/aom_scale/aom_scale.cmake")
include("${AOM_ROOT}/aom_util/aom_util.cmake")
include("${AOM_ROOT}/av1/av1.cmake")
include("${AOM_ROOT}/build/cmake/aom_install.cmake")
include("${AOM_ROOT}/build/cmake/sanitizers.cmake")
include("${AOM_ROOT}/build/cmake/util.cmake")
include("${AOM_ROOT}/test/test.cmake")

list(APPEND AOM_RTCD_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
            "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
            "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c"
            "${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
            "${AOM_ROOT}/av1/common/av1_rtcd.c"
            "${AOM_ROOT}/build/cmake/rtcd.pl")

list(APPEND AOM_LIBWEBM_SOURCES
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.cc"
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.h"
            "${AOM_ROOT}/third_party/libwebm/common/webmids.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxertypes.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.h")

list(APPEND AOM_LIBYUV_SOURCES
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/basic_types.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_argb.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_from.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/cpu_id.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/planar_functions.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/rotate.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/row.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale_row.h"
            "${AOM_ROOT}/third_party/libyuv/source/convert_argb.cc"
            "${AOM_ROOT}/third_party/libyuv/source/cpu_id.cc"
            "${AOM_ROOT}/third_party/libyuv/source/planar_functions.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_uv.cc")

list(APPEND AOM_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_config.c"
            "${AOM_CONFIG_DIR}/config/aom_config.h"
            "${AOM_ROOT}/aom/aom.h"
            "${AOM_ROOT}/aom/aom_codec.h"
            "${AOM_ROOT}/aom/aom_decoder.h"
            "${AOM_ROOT}/aom/aom_encoder.h"
            "${AOM_ROOT}/aom/aom_external_partition.h"
            "${AOM_ROOT}/aom/aom_frame_buffer.h"
            "${AOM_ROOT}/aom/aom_image.h"
            "${AOM_ROOT}/aom/aom_integer.h"
            "${AOM_ROOT}/aom/aomcx.h"
            "${AOM_ROOT}/aom/aomdx.h"
            "${AOM_ROOT}/aom/internal/aom_codec_internal.h"
            "${AOM_ROOT}/aom/internal/aom_image_internal.h"
            "${AOM_ROOT}/aom/src/aom_codec.c"
            "${AOM_ROOT}/aom/src/aom_decoder.c"
            "${AOM_ROOT}/aom/src/aom_encoder.c"
            "${AOM_ROOT}/aom/src/aom_image.c"
            "${AOM_ROOT}/aom/src/aom_integer.c")

list(APPEND AOM_COMMON_APP_UTIL_SOURCES
            "${AOM_ROOT}/av1/arg_defs.c"
            "${AOM_ROOT}/av1/arg_defs.h"
            "${AOM_ROOT}/common/args_helper.c"
            "${AOM_ROOT}/common/args_helper.h"
            "${AOM_ROOT}/common/args.c"
            "${AOM_ROOT}/common/args.h"
            "${AOM_ROOT}/common/av1_config.c"
            "${AOM_ROOT}/common/av1_config.h"
            "${AOM_ROOT}/common/md5_utils.c"
            "${AOM_ROOT}/common/md5_utils.h"
            "${AOM_ROOT}/common/tools_common.c"
            "${AOM_ROOT}/common/tools_common.h"
            "${AOM_ROOT}/common/video_common.h"
            "${AOM_ROOT}/common/rawenc.c"
            "${AOM_ROOT}/common/rawenc.h"
            "${AOM_ROOT}/common/y4menc.c"
            "${AOM_ROOT}/common/y4menc.h"
            "${AOM_ROOT}/common/ivfdec.c"
            "${AOM_ROOT}/common/ivfdec.h")

list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/obudec.c"
            "${AOM_ROOT}/common/obudec.h" "${AOM_ROOT}/common/video_reader.c"
            "${AOM_ROOT}/common/video_reader.h")

list(APPEND AOM_ENCODER_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/ivfenc.c"
            "${AOM_ROOT}/common/ivfenc.h"
            "${AOM_ROOT}/common/video_writer.c"
            "${AOM_ROOT}/common/video_writer.h"
            "${AOM_ROOT}/common/warnings.c"
            "${AOM_ROOT}/common/warnings.h"
            "${AOM_ROOT}/common/y4minput.c"
            "${AOM_ROOT}/common/y4minput.h"
            "${AOM_ROOT}/examples/encoder_util.h"
            "${AOM_ROOT}/examples/encoder_util.c")

list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
            "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
            "${AOM_ROOT}/stats/rate_hist.h")

list(APPEND AOM_VERSION_SOURCES "${AOM_CONFIG_DIR}/config/aom_version.h")

list(APPEND AOM_WEBM_DECODER_SOURCES "${AOM_ROOT}/common/webmdec.cc"
            "${AOM_ROOT}/common/webmdec.h")

list(APPEND AOM_WEBM_ENCODER_SOURCES "${AOM_ROOT}/common/webmenc.cc"
            "${AOM_ROOT}/common/webmenc.h")

include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                    ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)

if(CONFIG_RUNTIME_CPU_DETECT AND ANDROID_NDK)
  include_directories(${ANDROID_NDK}/sources/android/cpufeatures)
endif()

# Targets
add_library(aom_version ${AOM_VERSION_SOURCES})
add_dummy_source_file_to_target(aom_version c)
add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                   COMMAND ${CMAKE_COMMAND} ARGS
                           -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                           -DAOM_ROOT=${AOM_ROOT}
                           -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                           -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                           "${AOM_ROOT}/build/cmake/version.cmake"
                   COMMENT "Writing aom_version.h"
                   VERBATIM)

add_custom_target(aom_version_check
                  COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake"
                  COMMENT "Updating version info if necessary."
                  VERBATIM)

if(BUILD_SHARED_LIBS AND NOT MSVC)
  # Generate version file immediately for non-MSVC shared builds: The version
  # string is needed for the aom target.
  execute_process(COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake")
endif()

add_dependencies(aom_version aom_version_check)

# TODO(tomfinegan): Move rtcd target setup where it belongs for each rtcd
# source.
add_rtcd_build_step("${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
                    "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c" "aom_dsp_rtcd")
add_rtcd_build_step("${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
                    "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                    "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
                    "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")

add_library(aom_rtcd OBJECT ${AOM_RTCD_SOURCES})
add_dependencies(aom_rtcd aom_version)

=== debian/changelog ===
aom (3.5.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 16:36:36 -0800

aom (3.5.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Sep 2022 17:07:01 -0400

aom (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.5.0.
  * debian/rules: Also install man pages from help2man.

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Sep 2022 16:17:46 -0400

aom (3.5.0~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.5.0~rc1.
  * debian/copyright: Update copyright date.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:44:00 -0400

aom (3.4.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jun 2022 17:52:10 -0400

aom (3.3.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jun 2022 15:29:04 -0400

aom (3.3.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Mar 2022 17:40:56 -0500

aom (3.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 13:58:53 -0500

=== debian/control ===
Source: aom
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends: cmake (>= 3.6),
               debhelper-compat (= 13),
               libyuv-dev,
               yasm [any-amd64 any-i386]
Build-Depends-Indep: doxygen
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://aomedia.googlesource.com/aom/
Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/aom

Package: aom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AV1 Video Codec Library -- Tools
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the command line encoding and decoding tools.

Package: libaom3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AV1 Video Codec Library
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the shared library.

Package: libaom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaom3 (= ${binary:Version}), ${misc:Depends}
Description: AV1 Video Codec Library -- Development Files
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the development files.

Package: libaom-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-mathjax, ${misc:Depends}
Description: AV1 Video Codec Library -- Documentation
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs

# In the normative branch, we need to manually set the target cpu to
# enable optimisation
ifeq ($(DEB_HOST_ARCH_CPU),arm64)
  TARGET_CPU = arm64
else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
  TARGET_CPU = armv7
  # On ARM, we need to manually pass the flag used to compile NEON
  # code with
  CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
  TARGET_CPU = mips64
else ifneq ($(filter mips%, $(DEB_HOST_ARCH_CPU)),)
  TARGET_CPU = mips32
else ifneq ($(filter ppc% powerpc%, $(DEB_HOST_ARCH_CPU)),)
  TARGET_CPU = ppc
else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),amd64_base)
  TARGET_CPU = x86_64
else ifeq ($(DEB_HOST_ARCH_CPU),i386)
  TARGET_CPU = x86
else
  TARGET_CPU = generic
endif

# Disable AltiVec on powerpcspe
ifeq ($(DEB_HOST_ARCH),powerpcspe)
  CONFIG_EXTRA := -DENABLE_VSX=OFF
endif

# Use -Bbuild-debian to locate built documentation
%:
	dh $@ -Bbuild-debian

# Force building with system libyuv
execute_before_dh_auto_configure:
	rm -rf $(CURDIR)/third_party/libyuv

# Examples and tools not built because they require various private
#  symbols from libaom.so which we filter out.
# Tests disabled because they require network access to download test
#  data.
# Setting GIT_EXECUTABLE to some invalid file prevents the version
#  being taken from git if we're on a Debian packaging git branch.
#
# For FORCE_HIGHBITDEPTH_DECODING, see git commit
# 2dd87d9b05b36811aaf19d3c4e47e6e04ccf9de8.
override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=1 \
		-DFORCE_HIGHBITDEPTH_DECODING=0 \
		-DCONFIG_LIBYUV=1 \
		-DCONFIG_MULTITHREAD=1 \
		-DENABLE_TESTS=0 \
		-DGIT_EXECUTABLE=/nonexistant-binary \
		-DAOM_TARGET_CPU=$(TARGET_CPU) \
		$(CONFIG_EXTRA)

# Do not compress html changelog which breaks documentation
override_dh_compress:
	dh_compress -Xchangelog.html

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

help2man:
	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomenc > debian/aomenc.1
	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomdec > debian/aomdec.1

.PHONY: help2man

## aom 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,9 +51,9 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 8)
+set(LT_CURRENT 9)
 set(LT_REVISION 0)
-set(LT_AGE 5)
+set(LT_AGE 6)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)

=== debian/changelog ===
aom (3.6.0-1+deb12u2) bookworm; urgency=medium

  * Team upload.
  * debian/gbp.conf: Explicitly specify debian/bookworm branch.
  * debian/patches/backport/:
    Backport upstream-recommended patch series from upstream v3.6.x branch
    to fix incompatible behavior. (Closes: #1106884)
    + 0004-Guard-support-of-7.x-and-8.x-levels-under-a-config-f.patch
    + 0005-Improve-CONFIG_CWG_C013.patch

 -- Boyuan Yang <byang@debian.org>  Sat, 31 May 2025 20:29:11 -0400

aom (3.6.0-1+deb12u1) bookworm-security; urgency=medium

  * CVE-2024-5171

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 15 Aug 2024 16:54:36 +0200

aom (3.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Feb 2023 10:25:25 -0500

aom (3.6.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/copyright: Fix typo in PATENT license file.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 21:30:20 -0500

=== debian/rules ===
--- 
+++ 
@@ -66,10 +66,6 @@
 override_dh_compress:
 	dh_compress -Xchangelog.html
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 help2man:
 	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomenc > debian/aomenc.1
 	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomdec > debian/aomdec.1

## aom 3.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 #
 # We set SO_FILE_VERSION = [c-a].a.r
 set(LT_CURRENT 9)
-set(LT_REVISION 0)
+set(LT_REVISION 1)
 set(LT_AGE 6)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")

=== debian/changelog ===
aom (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Build-depends on system libwebm-dev.
    + Restrict libwebm-dev version requirement to 1.0.0.30 or higher
      due to requirement of new header file layout.
  * debian/patches: Add patch to use system libwebm instead of
    bundled one. (Closes: #1030891)

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jun 2023 13:13:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: James Cowgill <jcowgill@debian.org>
-Build-Depends: cmake (>= 3.6),
-               debhelper-compat (= 13),
-               libyuv-dev,
-               yasm [any-amd64 any-i386]
-Build-Depends-Indep: doxygen
+Build-Depends:
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
+ libyuv-dev,
+ libwebm-dev (>= 1.0.0.30-2~),
+ yasm [any-amd64 any-i386],
+Build-Depends-Indep:
+ doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://aomedia.googlesource.com/aom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
@@ -18,7 +20,7 @@
 Package: aom-tools
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AV1 Video Codec Library -- Tools
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -31,7 +33,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AV1 Video Codec Library
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -57,7 +59,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-mathjax, ${misc:Depends}
+Depends: ${misc:Depends}, libjs-mathjax
 Description: AV1 Video Codec Library -- Documentation
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,10 @@
 %:
 	dh $@ -Bbuild-debian
 
-# Force building with system libyuv
+# Force building with system libyuv and webm
 execute_before_dh_auto_configure:
 	rm -rf $(CURDIR)/third_party/libyuv
+	rm -rf $(CURDIR)/third_party/libwebm
 
 # Examples and tools not built because they require various private
 #  symbols from libaom.so which we filter out.

## aom 3.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 if(CONFIG_TFLITE)
   cmake_minimum_required(VERSION 3.11)
 else()
-  cmake_minimum_required(VERSION 3.7)
+  cmake_minimum_required(VERSION 3.9)
 endif()
 
 set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
@@ -41,6 +41,13 @@
   endif()
 endif()
 
+if(MSVC AND MSVC_VERSION LESS 1920)
+  message(
+    WARNING
+      "MSVC versions prior to 2019 (v16) are not supported and may generate"
+      " incorrect code!")
+endif()
+
 # Library version info. Update LT_CURRENT, LT_REVISION and LT_AGE when making a
 # public release by following the guidelines in the libtool document:
 # https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
@@ -51,9 +58,9 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 9)
-set(LT_REVISION 1)
-set(LT_AGE 6)
+set(LT_CURRENT 11)
+set(LT_REVISION 2)
+set(LT_AGE 8)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)
@@ -210,13 +217,9 @@
 include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                     ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)
 
-if(CONFIG_RUNTIME_CPU_DETECT AND ANDROID_NDK)
-  include_directories(${ANDROID_NDK}/sources/android/cpufeatures)
-endif()
-
 # Targets
 add_library(aom_version ${AOM_VERSION_SOURCES})
-add_dummy_source_file_to_target(aom_version c)
+add_no_op_source_file_to_target(aom_version c)
 add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                    COMMAND ${CMAKE_COMMAND} ARGS
                            -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
@@ -262,6 +265,3 @@
                     "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
                     "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")
 
-add_library(aom_rtcd OBJECT ${AOM_RTCD_SOURCES})
-add_dependencies(aom_rtcd aom_version)
-

=== debian/changelog ===
aom (3.8.2-2ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in img_alloc_helper
    - debian/patches/CVE-2024-5171-1.patch: fix integer overflows in calc
      of stride_in_bytes in aom/src/aom_image.c, test/aom_image_test.cc.
    - debian/patches/CVE-2024-5171-2.patch: avoid integer overflows in
      align_image_dimension() in aom/aom_image.h, aom/src/aom_image.c,
      test/aom_image_test.cc.
    - CVE-2024-5171

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jun 2024 09:21:53 -0400

aom (3.8.2-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:18:05 +0000

aom (3.8.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Add missing (test-)build-dep pkgconf.

  [ Vladimir Petko ]
  * Run package tests at the build time. (See LP bug 2004442)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2024 14:41:54 -0400

aom (3.8.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream stable release.
  * debian/patches/backport/*: Drop old backported patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Mar 2024 10:49:16 -0400

aom (3.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream stable release.
  * debian/patches/backport/*: Drop old backported patches.
  * debian/patches/backport/:
    + 0004-Zero-initialize-an-array-in-cdef-search.patch: Backport
      commits from upstream 3.8.x branch.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Jan 2024 16:30:04 -0500

aom (3.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream stable release.
  * debian/patches/backport/0007,0008: Drop patches applied upstream.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 15:47:02 -0500

aom (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * Test upload 3.7.0 version to Debian Unstable.
    + Fixes CVE-2023-39616.
  * debian/patches/backport/0005,0006: Backport upstream patches
    from trunk that fixes endian handling.
  * debian/patches/backport/:
    + 0007-rtc-Only-allow-accurate_bit_estimate-for-low-bitdept.patch:
    + 0008-rtc-Disable-two-features-for-high-bitdepth-mode.patch:
      Backport patches from upstream ironbark (3.7.0) branch.
  * debian/rules: Explicitly set internal flag CONFIG_BIG_ENDIAN
    to correctly indicate endianness due to upstream defunct in
    CMake handling.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Oct 2023 19:08:40 -0400

aom (3.7.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    + Source code is the same as 3.7.0~rc3.
  * Upload to experimental for now since 3.7.x series has
    autopkgtest regression on s390x.
  * d/p/backport/0004-Align-an-array-in-highbd_warp_error.patch:
    Backport patch to fix some alignment error.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Sep 2023 17:22:05 -0400

aom (3.7.0~rc3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/copyright: Minor updates.
  * debian/rules: Fix help2man man pages to provide more informative
    whatis entry (lintian).
  * debian/*.1: Manually refresh man pages.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Aug 2023 17:43:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake (>= 3.6),
  debhelper-compat (= 13),
  libyuv-dev,
  libwebm-dev (>= 1.0.0.30-2~),
+ pkgconf,
  yasm [any-amd64 any-i386],
+ ffmpeg <!nocheck>,
+ bc <!nocheck>,
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 
@@ -34,6 +35,17 @@
   CONFIG_EXTRA := -DENABLE_VSX=OFF
 endif
 
+# Explicitly set internal flag CONFIG_BIG_ENDIAN, because
+# aom CMake buildsystem does not detect endian issue and
+# cannot set this internal flag correctly.
+# Ref: https://bugs.chromium.org/p/aomedia/issues/detail?id=3487#c20
+ifeq ($(DEB_BUILD_ARCH_ENDIAN),little)
+  CONFIG_EXTRA_ENDIAN := -DCONFIG_BIG_ENDIAN=0
+else
+  CONFIG_EXTRA_ENDIAN := -DCONFIG_BIG_ENDIAN=1
+endif
+
+
 # Use -Bbuild-debian to locate built documentation
 %:
 	dh $@ -Bbuild-debian
@@ -43,15 +55,15 @@
 	rm -rf $(CURDIR)/third_party/libyuv
 	rm -rf $(CURDIR)/third_party/libwebm
 
-# Examples and tools not built because they require various private
-#  symbols from libaom.so which we filter out.
 # Tests disabled because they require network access to download test
 #  data.
+#
 # Setting GIT_EXECUTABLE to some invalid file prevents the version
 #  being taken from git if we're on a Debian packaging git branch.
 #
 # For FORCE_HIGHBITDEPTH_DECODING, see git commit
 # 2dd87d9b05b36811aaf19d3c4e47e6e04ccf9de8.
+#
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
@@ -61,14 +73,21 @@
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
 		-DAOM_TARGET_CPU=$(TARGET_CPU) \
+		$(CONFIG_EXTRA_ENDIAN) \
 		$(CONFIG_EXTRA)
 
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
 	dh_compress -Xchangelog.html
 
+override_dh_auto_test:
+	dh_auto_test
+	PATH=$$PATH:$(CURDIR)/build-debian AUTOPKGTEST_TMP=build-debian ./debian/tests/encode-decode
+	CFLAGS=-I$(CURDIR) LDFLAGS="-laom -L$(CURDIR)/build-debian" AUTOPKGTEST_TMP=build-debian ./debian/tests/library-build
+
+# Currently manually invoked before build. Not invoked during build.
 help2man:
-	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomenc > debian/aomenc.1
-	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -N --no-discard-stderr debian/tmp/usr/bin/aomdec > debian/aomdec.1
+	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -n 'AOMedia Project AV1 Encoder' -N --no-discard-stderr debian/tmp/usr/bin/aomenc > debian/aomenc.1
+	help2man --version-string='$(DEB_VERSION_UPSTREAM)' -n 'AOMedia Project AV1 Decoder' -N --no-discard-stderr debian/tmp/usr/bin/aomdec > debian/aomdec.1
 
 .PHONY: help2man

## aom 3.9.1

=== debian/changelog ===
aom (3.9.1-1aatgv1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
  * debian/control:
    - libaom3: Conflicts: libaom0 (<< 3.5.0-1)
    - add transitional dummy libaom0

 -- Amon Ott <ao@m-privacy.de>  Mon, 29 Jul 2024 08:03:16 +0200

aom (3.9.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jul 2024 20:51:31 -0400

aom (3.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/: Drop backported CVE-2024-5171-*.patch, merged upstream.
  * debian/patches/: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jul 2024 15:59:40 -0400

aom (3.8.2-3) unstable; urgency=medium

  * Team upload

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Integer overflow in img_alloc_helper
    - debian/patches/CVE-2024-5171-1.patch: fix integer overflows in calc
      of stride_in_bytes in aom/src/aom_image.c, test/aom_image_test.cc.
    - debian/patches/CVE-2024-5171-2.patch: avoid integer overflows in
      align_image_dimension() in aom/aom_image.h, aom/src/aom_image.c,
      test/aom_image_test.cc.
    - CVE-2024-5171

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Jun 2024 14:30:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake (>= 3.6),
@@ -11,8 +10,8 @@
  libwebm-dev (>= 1.0.0.30-2~),
  pkgconf,
  yasm [any-amd64 any-i386],
- ffmpeg <!nocheck>,
- bc <!nocheck>,
+ ffmpeg ,
+ bc ,
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
@@ -38,6 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libaom0 (<< 3.5.0-1)
 Description: AV1 Video Codec Library
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -45,6 +45,19 @@
  for Open Media.
  .
  This package contains the shared library.
+
+Package: libaom0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libaom3 (= ${binary:Version})
+Description: AV1 Video Codec Library - transitional dummy
+ AOMedia Video 1 (AV1) is an open and royalty free video encoding format
+ optimized for the Internet and the successor of VP9. aom is the
+ reference encoder and decoder implementation published by the Alliance
+ for Open Media.
+ .
+ This package contains a transitional dummy.
 
 Package: libaom-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
+
+# m-privacy
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 # In the normative branch, we need to manually set the target cpu to
 # enable optimisation
@@ -78,12 +83,13 @@
 
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
+	mp_rsbac
 	dh_compress -Xchangelog.html
 
 override_dh_auto_test:
-	dh_auto_test
-	PATH=$$PATH:$(CURDIR)/build-debian AUTOPKGTEST_TMP=build-debian ./debian/tests/encode-decode
-	CFLAGS=-I$(CURDIR) LDFLAGS="-laom -L$(CURDIR)/build-debian" AUTOPKGTEST_TMP=build-debian ./debian/tests/library-build
+#	dh_auto_test
+#	PATH=$$PATH:$(CURDIR)/build-debian AUTOPKGTEST_TMP=build-debian ./debian/tests/encode-decode
+#	CFLAGS=-I$(CURDIR) LDFLAGS="-laom -L$(CURDIR)/build-debian" AUTOPKGTEST_TMP=build-debian ./debian/tests/library-build
 
 # Currently manually invoked before build. Not invoked during build.
 help2man:

## aom 3.10.0

=== debian/changelog ===
aom (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 08:22:20 -0400

## aom 3.11.0~rc1

=== debian/changelog ===
aom (3.11.0~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * debian/libaom3.symbols: Drop symbols that are no longer exported
    upstream as part of bugfix.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 18:40:43 -0500

## aom 3.11.0

=== debian/changelog ===
aom (3.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 10:50:12 -0500

## aom 3.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2016, Alliance for Open Media. All rights reserved
+# Copyright (c) 2016, Alliance for Open Media. All rights reserved.
 #
 # This source code is subject to the terms of the BSD 2 Clause License and the
 # Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
@@ -58,9 +58,9 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 11)
-set(LT_REVISION 2)
-set(LT_AGE 8)
+set(LT_CURRENT 15)
+set(LT_REVISION 0)
+set(LT_AGE 12)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)
@@ -200,7 +200,9 @@
             "${AOM_ROOT}/common/y4minput.c"
             "${AOM_ROOT}/common/y4minput.h"
             "${AOM_ROOT}/examples/encoder_util.h"
-            "${AOM_ROOT}/examples/encoder_util.c")
+            "${AOM_ROOT}/examples/encoder_util.c"
+            "${AOM_ROOT}/examples/multilayer_metadata.h"
+            "${AOM_ROOT}/examples/multilayer_metadata.cc")
 
 list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
             "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
@@ -262,6 +264,3 @@
                     "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                     "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
 add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
-                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
-                    "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")
-

=== debian/changelog ===
aom (3.12.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 11:53:16 -0500

aom (3.12.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/rules: Disable NEON for armhf to solve FTBFS.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 22:03:55 -0500

aom (3.12.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * debian/libaom3.symbols: Update symbol list following upstream
    instruction in changelog.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 11:23:12 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libwebm-dev (>= 1.0.0.30-2~),
  pkgconf,
  yasm [any-amd64 any-i386],
- ffmpeg ,
- bc ,
+ ffmpeg <!nocheck>,
+ bc <!nocheck>,
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
@@ -37,7 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libaom0 (<< 3.5.0-1)
 Description: AV1 Video Codec Library
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -45,19 +44,6 @@
  for Open Media.
  .
  This package contains the shared library.
-
-Package: libaom0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libaom3 (= ${binary:Version})
-Description: AV1 Video Codec Library - transitional dummy
- AOMedia Video 1 (AV1) is an open and royalty free video encoding format
- optimized for the Internet and the successor of VP9. aom is the
- reference encoder and decoder implementation published by the Alliance
- for Open Media.
- .
- This package contains a transitional dummy.
 
 Package: libaom-dev
 Section: libdevel

## aom 3.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,7 @@
 # License 1.0 was not distributed with this source code in the PATENTS file, you
 # can obtain it at www.aomedia.org/license/patent.
 #
-if(CONFIG_TFLITE)
-  cmake_minimum_required(VERSION 3.11)
-else()
-  cmake_minimum_required(VERSION 3.9)
-endif()
+cmake_minimum_required(VERSION 3.16)
 
 set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
 set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")
@@ -59,7 +55,7 @@
 #
 # We set SO_FILE_VERSION = [c-a].a.r
 set(LT_CURRENT 15)
-set(LT_REVISION 0)
+set(LT_REVISION 1)
 set(LT_AGE 12)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
@@ -264,3 +260,4 @@
                     "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                     "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
 add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
+                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"

=== debian/changelog ===
aom (3.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 08:46:24 -0400

aom (3.12.1~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * debian/patches/0003-use-system-libwebm.patch: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Apr 2025 16:04:01 -0400

=== debian/control ===
Source: aom
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 3.16),
 debhelper-compat (= 13),
 libyuv-dev,
 libwebm-dev (>= 1.0.0.30-2~),
 pkgconf,
 yasm [any-amd64 any-i386],
 ffmpeg <!nocheck>,
 bc <!nocheck>,
Build-Depends-Indep:
 doxygen,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://aomedia.googlesource.com/aom/
Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
Description: AV1 Video Codec Library
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.

Package: aom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} -- Tools
 ${source:Extended-Description}
 .
 This package contains the command line encoding and decoding tools.

Package: libaom3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared library.

Package: libaom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaom3 (= ${binary:Version}), ${misc:Depends}
Description: ${source:Synopsis} -- Development Files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libaom-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-mathjax
Description: ${source:Synopsis} -- Documentation
 ${source:Extended-Description}
 .
 This package contains the API documentation.

=== debian/watch ===
version=4
opts="repack,compression=xz, \
      uversionmangle=s/-rc/~rc/, \
      downloadurlmangle=s|\+|\+archive|;s|$|.tar.gz|, \
      filenamemangle=s|.*/v|aom-|;s|$|.tar.gz|" \
    https://aomedia.googlesource.com/aom/+refs /aom/\+/refs/tags/v@ANY_VERSION@

## aom 3.13.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,9 @@
                 "And re-run CMake from the aom_build directory.")
 endif()
 
-project(AOM C CXX)
+# VERSION is the release version of the library. It should be updated at the
+# same time as the LT_* variables.
+project(AOM LANGUAGES C CXX VERSION 3.13.1)
 
 # GENERATED source property global visibility.
 if(POLICY CMP0118)
@@ -54,9 +56,11 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 15)
+#
+# The VERSION number in project() should be updated when these variables are.
+set(LT_CURRENT 16)
 set(LT_REVISION 1)
-set(LT_AGE 12)
+set(LT_AGE 13)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)
@@ -258,6 +262,3 @@
                     "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c" "aom_dsp_rtcd")
 add_rtcd_build_step("${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
                     "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
-                    "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
-add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
-                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"

=== debian/changelog ===
aom (3.13.1-2) unstable; urgency=medium

  * Team upload
  * Use nasm over yasm (Closes: #1104217)
  * Lower message mode on nasm -Ox

 -- Bastian Germann <bage@debian.org>  Tue, 28 Oct 2025 19:16:32 +0100

aom (3.13.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 14:06:11 -0400

aom (3.13.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Updated.
  * debian/libaom-dev.install: Install the newly-added cmake files.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Sep 2025 13:01:03 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libyuv-dev,
  libwebm-dev (>= 1.0.0.30-2~),
  pkgconf,
- yasm [any-amd64 any-i386],
+ nasm [any-amd64 any-i386],
  ffmpeg <!nocheck>,
  bc <!nocheck>,
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,14 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
 
-# m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-
 # In the normative branch, we need to manually set the target cpu to
 # enable optimisation
 ifeq ($(DEB_HOST_ARCH_CPU),arm64)
   TARGET_CPU = arm64
 else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
   TARGET_CPU = armv7
-  # On ARM, we need to manually pass the flag used to compile NEON
-  # code with
-  CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
+  # Explicitly disable NEON for Debian armhf baseline requirement
+  CONFIG_EXTRA := -DENABLE_NEON=0
 else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
   TARGET_CPU = mips64
 else ifneq ($(filter mips%, $(DEB_HOST_ARCH_CPU)),)
@@ -83,13 +77,12 @@
 
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
-	mp_rsbac
 	dh_compress -Xchangelog.html
 
 override_dh_auto_test:
-#	dh_auto_test
-#	PATH=$$PATH:$(CURDIR)/build-debian AUTOPKGTEST_TMP=build-debian ./debian/tests/encode-decode
-#	CFLAGS=-I$(CURDIR) LDFLAGS="-laom -L$(CURDIR)/build-debian" AUTOPKGTEST_TMP=build-debian ./debian/tests/library-build
+	dh_auto_test
+	PATH=$$PATH:$(CURDIR)/build-debian AUTOPKGTEST_TMP=build-debian ./debian/tests/encode-decode
+	CFLAGS=-I$(CURDIR) LDFLAGS="-laom -L$(CURDIR)/build-debian" AUTOPKGTEST_TMP=build-debian ./debian/tests/library-build
 
 # Currently manually invoked before build. Not invoked during build.
 help2man:

=== debian/tests/control ===
Tests: encode-decode
Depends: aom-tools, bc, ffmpeg
Restrictions: allow-stderr

Tests: library-build
Depends: build-essential, libaom-dev, pkg-config
